
Infrastructure - Task #2811

Story # 2720 (Closed): KNB, LTER, PISCO, ESA, SANPARKS roll out

ESA - deploy skin on mnStageUCSB2

2012-05-24 21:49 - Ben Leinfelder

Status: Closed Start date: 2012-05-24

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2012.35-Block.5.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Need to make sure I can correctly configure ESA moderation on a test server.

History

#1 - 2012-05-29 22:11 - Ben Leinfelder

- Status changed from New to In Progress

- Subject changed from ESA - deploy skin on mnStageUCSB1 to ESA - deploy skin on mnStageUCSB2

Had to allow for 'https' use to pull in headers etc.

#2 - 2012-05-29 22:23 - Ben Leinfelder

Need to install a few things:

1. [for gcc] sudo apt-get install build-essential

1. [for sending mail] Registry Tue May 29 15:20:02 2012: modSendNotification - sending moderator notification to: leinfelder@nceas.ucsb.edu with

subject: Document esa.1.1 review pending Can't call method "mail" on an undefined value at

/var/lib/tomcat6/webapps/knb/cgi-bin/register-dataset.cgi line 4472. TBD

#3 - 2012-05-29 22:51 - Ben Leinfelder

Needed to configure metacat.properties to use the NCEAS mail server to send moderator notifications.

email.mailhost=mail.nceas.ucsb.edu

NOTE: this requires that the server be whitelisted on the mailhost.

#4 - 2012-05-29 23:55 - Ben Leinfelder

Updated the registry code to use only "allowFirst" perm order, otherwise no permissions were granted. Metacat 2.0.0 does not honor 'denyFirst' rules

now as we transition to DataONE access policies.

#5 - 2012-05-30 00:34 - Ben Leinfelder

Works pretty well. I do want to follow up about what the "revise" button is meant to do besides alert the submitter that revisions are desired.

#6 - 2012-05-31 20:51 - Ben Leinfelder
- Status changed from In Progress to Closed

Revise + comments works.

Decline + comments works.
